/*
 * Copyright (c) 2007, 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: SoapActionTestClient.java 62536 2011-04-15 16:35:14Z af70133 $
 */

/* Copyright (c) 2003 Oracle Corporation.  All rights reserved.  */
package com.sun.ts.tests.jaxrpc.sharedclients.soapactionclient;

import com.sun.ts.lib.harness.EETest;
import com.sun.ts.tests.jaxrpc.sharedclients.SOAPClient;
import com.sun.ts.tests.jaxrpc.wsi.constants.CTSConstants;

public class SoapActionTestClient extends SOAPClient {

    public SoapActionTestClient(String webServerHost, int webServerPort, int mode) throws EETest.Fault {
        super(webServerHost, webServerPort, mode);
        stubContext.setNamespace("http://soapactionservice.org/wsdl");
        stubContext.setService("SoapAction");
        stubContext.setPortPrefix("SoapAction");
        stubContext.setServiceInterface(SoapAction.class);
    }

    protected String getEndpointURLProperty() {
        return CTSConstants.soapActionEndpointProperty;
    }

    protected String getWSDLURLProperty() {
        return CTSConstants.soapActionWSDLProperty;
    }
}
